Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

getCloudCacheBackupList

Prev Next

Available in VPC

Get the Cloud DB for Cache system backup list.

Note

Cloud DB for Cache API offers two versions based on the supported DBMS range.

  • getCloudCacheBackupList API: Support for Valkey and Redis DBMS
  • getCloudRedisBackupList API: Support for Redis DBMS

getCloudCacheBackupList API

This section describes the request and response formats for the getCloudCacheBackupList API.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /getCloudCacheBackupList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for Cache APIs, see Cloud DB for Cache request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the Cloud DB for Cache system backup list to query
  • See getRegionList.
  • First Region of the getRegionList query result (default).
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/getCloudCacheBackupList
?regionCode=KR'
--header 'x-ncp-apigw-timestamp: {Timestamp}'
--header 'x-ncp-iam-access-key: {Access Key}' 
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See CloudCacheBackupList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=xml (default)
    
    <getCloudCacheBackupListResponse>
        <requestId>94edea29-9c1e-44f5-9e9c-120f22688ca1</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>1</totalRows>
        <cloudCacheBackupList>
            <cloudCacheBackup>
                <cloudCacheInstanceNo>****890</cloudCacheInstanceNo>
                <cloudCacheServiceName>test-****</cloudCacheServiceName>
                <backupFileRetentionPeriod>1</backupFileRetentionPeriod>
                <backupTime>00:30</backupTime>
                <backupSize>302</backupSize>
                <lastBackupDate>2021-05-25T00:00:00+0900</lastBackupDate>
                <backupType>
                    <code>SIMPLE</code>
                    <codeName>CLOUD CACHE(VPC) Cluster Backup Type</codeName>
                </backupType>
                <shardCount>1</shardCount>
            </cloudCacheBackup>
        </cloudCacheBackupList>
    </getCloudCacheBackupListResponse>
    

getCloudRedisBackupList API

This section describes the request and response formats for the getCloudRedisBackupList API.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vredis/v2/getCloudRedisBackupList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for Cache APIs, see Cloud DB for Cache request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the Cloud DB for Cache system backup list to query
  • See getRegionList.
  • First Region of the getRegionList query result (default).
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/getCloudRedisBackupList
?regionCode=KR' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See CloudRedisBackupList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json

    {
        "getCloudRedisBackupListResponse": {
            "totalRows": 1,
            "cloudRedisBackupList": [
                {
                    "cloudRedisInstanceNo": "****511",
                    "cloudRedisServiceName": "test-****",
                    "backupFileRetentionPeriod": 7,
                    "backupTime": "00:15",
                    "backupSize": 525,
                    "lastBackupDate": "2024-07-02T00:00:00+0900",
                    "backupType": {
                        "code": "CLUSTER",
                        "codeName": "CLOUD REDIS(VPC) Cluster Backup Type"
                    },
                    "shardCount": 3
                }
            ],
            "requestId": "ac8cf68a-****-****-****-8788236f4c26",
            "returnCode": "0",
            "returnMessage": "success"
        }
    }
    
  • If responseFormatType=xml (default)

    <?xml version="1.0" encoding="UTF-8"?>
    <getCloudRedisBackupListResponse>
        <requestId>ac8cf68a-****-****-****-8788236f4c26</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>1</totalRows>
        <cloudRedisBackupList>
            <cloudRedisBackup>
                <cloudRedisInstanceNo>****511</cloudRedisInstanceNo>
                <cloudRedisServiceName>test-****</cloudRedisServiceName>
                <backupFileRetentionPeriod>7</backupFileRetentionPeriod>
                <backupTime>00:15</backupTime>
                <backupSize>525</backupSize>
                <backupType>
                    <code>CLUSTER</code>
                    <codeName>CLOUD REDIS(VPC) Cluster Backup Type</codeName>
                </backupType>
                <shardCount>3</shardCount>
            </cloudRedisBackup>
        </cloudRedisBackupList>
    </getCloudRedisBackupListResponse>